BSON_ARRAY_AS_RELAXED_EXTENDED_JSON(3)

SYNOPSIS

            char *
            bson_array_as_relaxed_extended_json (const bson_t *bson, size_t *length);

PARAMETERS

    •   bson: A bson_t <>.

    •   length: An optional location for the length of the resulting string.

DESCRIPTION

bson_as_relaxed_extended_json() <> encodes bson as a UTF-8 string in the Relaxed Extended JSON. The outermost element is encoded as a JSON array ([ ... ]), rather than a JSON document ({ ... }). See MongoDB Extended JSON format <https://github.com/mongodb/specifications/blob/master/source/extended-json/extended-json.md> for a description of Extended JSON formats.

The caller is responsible for freeing the resulting UTF-8 encoded string by calling bson_free() <> with the result.

If non-NULL, length will be set to the length of the result in bytes.

RETURNS

If successful, a newly allocated UTF-8 encoded string and length is set.

Upon failure, NULL is returned.

EXAMPLE

            bson_t *b = BCON_NEW("0", BCON_INT32(1), "1", BCON_UTF8("bar"));
            // The document for an array is a normal BSON document with integer values for the keys, starting with 0 and
            // continuing sequentially.
            char *str = bson_array_as_relaxed_extended_json(b, NULL);
            printf("Relaxed Extended JSON array: %s\n", str);
            // Prints:
            // Relaxed Extended JSON array: [ 1, "bar" ]
            bson_free(str);
            bson_destroy(b);

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.